@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;500;600&family=Roboto:wght@300;400;500;700&display=swap');

:root{
    --primary-color: #cdd849;
    --dark-color: #96ce8e;
    --black:#444;
    --light-color: #666;
    --border: 0.2rem solid rgba(0,0,0,.1);
    --border-hover: 0.1rem solid var(--black);
    --box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
}

*{
    font-family: 'Nunito', sans-serif;
    font-family: 'Roboto', sans-serif;
    margin: 0; padding: 0;
    box-sizing: border-box;
    outline: none; border: none;
    text-decoration: none;
    text-transform: capitalize;
    transition: all .2s linear;
    transition: width none;
}

html{
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-padding-top: 5rem;
    scroll-behavior: smooth;
}

html::-webkit-scrollbar{
    width: 1rem;
}

html::-webkit-scrollbar-track{
    background: transparent;
}

html::-webkit-scrollbar-thumb{
    background: var(--black);
}

section{
    padding:5rem 9%;
}



.btn{
    margin-top: 1rem;
    display: inline-block;
    padding: .9rem 3rem;
    border-radius: .5rem;
    color: #fff;
    background: var(--dark-color);
    font-size: 1.7rem;
    cursor: pointer;
    font-weight: 500;
    
}

/* Header */

.header .header-1{
    background: #fff;
    padding: 1.5rem 9%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header .header-1 .logo{
    font-size: 2.5rem;
    font-weight: bolder;
    color: var(--black);
}

.header .header-1 .logo i{
    color: var(--primary-color);
}


.header .header-1 .search-form {
    width: 50rem;
    height: 5rem;
    border: var(--border);
    overflow: hidden;
    background: #fff;
    display: flex;
    align-items: center;
    border-radius: .5rem;
}

.header .header-1 .search-form input{
    font-size: 1.6rem;
    padding: 0 1.2rem;
    height: 100%;
    width: 100%;
    text-transform: none;
    color: var(--black);
}

.header .header-1 .search-form label{
    font-size: 2.5rem; 
    padding-right: 1.5rem;
    color: var(--black);
    cursor: pointer;
}

.header .header-1 .search-form label:hover{
    color: var(--primary-color);
}

.header .header-1 .icons div,
.header .header-1 .icons a{
    font-size: 2.5rem;
    margin-left: 1.5rem;
    color: var(--black);
    cursor: pointer;
}

.header .header-1 .icons div:hover,
.header .header-1 .icons a:hover{
    color: var(--primary-color);
}

#search-btn{
    display: none;
}

/* Navbar */

.header .header-2{
    background-color: var(--primary-color);
}

.header .header-2 .navbar{
    text-align: center;
}

.header .header-2 .navbar a{
    color: #fff;
    display: inline-block;
    padding: 1.2rem;
    font-size: 1.7rem;
}

.header .header-2 .navbar a:hover{
    background-color: var(--dark-color);
}

.header .header-2.active{
    position:fixed;
    top:0; left: 0; right: 0;
    z-index: 1000;
}


.bottom-navbar{
    text-align: center;
    background: var(--primary-color);
    position: fixed;
    bottom: 0; left: 0; right: 0;
    z-index: 1000;
    display: none;
}

.bottom-navbar a{
    font-size: 2.5rem;
    padding:2rem;
    color: #fff;
}

.bottom-navbar a:hover{
    background: var(--dark-color);
}

.home{
    min-height: 109.5vh;
    display: flex;
    align-items: center;
    background:url(Image/background.png) no-repeat;
    background-size: cover;
    background-position: center;
}

.icons-container{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(25rem,1fr));
    gap: 1.5rem;
    background:#f3f3f3;
}

.icons-container .icons{
    display: flex;
    align-items: center;
    gap: 1.5rem;
    padding: 2rem, 0;
}

.icons-container .icons i{
    font-size: 3.5rem;
    color: var(--primary-color);
}

.icons-container .icons h3{
    font-size: 2.2rem;
    color: var(--black);
    padding-bottom: .5rem;
}

.icons-container .icons p{
    font-size: 1.4rem;
    color: var(--light-color);
}

/* About us */

.heading-about{
    text-align: center;
    color: var(--black);
    text-transform: uppercase;
    padding-bottom: 3.5rem;
    font-size: 4rem;
}

.heading-about span{
    color:var(--primary-color);
    text-transform: uppercase;
}

.about .row{
    display: flex;
    align-items: center;
    background: var(--primary-color);
    flex-wrap: wrap;
}

.about .row .image{
    flex: 1 1 45rem;
}

.about .row .image img{
   width: 100%;
}

.about .row .content{
    flex: 1 1 45rem;
    padding: 2rem;
}

.about .row .content h3{
    font-size: 3rem;
    color:#fff;
}

.about .row .content p{
    font-size: 1.6rem;
    color: #fff;
    padding: 1rem 0;
    line-height: 1.8;
}


/* Book */

.heading-book{
    text-align: center;
    margin-bottom: 2rem;
    position: relative;
}

.heading-book::before{
    content: '';
    position: absolute;
    top: 50%; left: 0;
    transform: translateY(-50%);
    width: 100%;
    height:.01rem;
    background: rgba(0,0,0,.1);
    z-index: -1;
}

.heading-book span{
    font-size: 3rem;
    padding: .5rem 2rem;
    color: var(--black);
    background-color: #fff;
    border: var(--border);
}

.book .book-slider .box{
    width: 25rem;
    margin: 2rem 0;
    position: relative;
    overflow: hidden;
    border: var(--border);
    text-align: center;
}

.book .book-slider .box:hover {
    border: var(--border-hover);
}

.book .book-slider .box .image{
    padding: 1rem;
    background: linear-gradient(15deg, #eee 30%, #fff 30.1% );
}

.book .book-slider .box:hover .image{
    transform: translateY(6.5rem);
}


.book .book-slider .box .image img{
    height: 25rem;
}

.book .book-slider .box .icons{
    border-bottom: var(--border-hover);
    position: absolute;
    top: 0; left: 0; right: 0;
    background: #fff;
    z-index: 1;
    transform: translateY(-100%);
}

.book .book-slider .box:hover .icons{
    transform: translateY(0%);
}

.book .book-slider .box .icons a{
    color: var(--black);
    font-size: 2.2rem;
    padding: 1.3rem 1.5rem;
}

.book .book-slider .box .icons a:hover{
    background: var(--primary-color);
    color: #fff;
}

.book .book-slider .box .content{
    background: #eee;
    padding: 1.5rem;
}

.book .book-slider .box .content h3{
    font-size: 2rem;
    color: var(--black);
}

.book .book-slider .box .content .price{
    font-size: 2.2rem;
    color: var(--black);
    padding-top: 1rem;
}

.book .book-slider .box .content .price span{
    font-size: 1.5rem;
    color: var(--light-color);
    text-decoration: line-through;
}

.swiper-button-next,
.swiper-button-prev{
    border: var(--border-hover);
    height: 4rem;
    width: 4rem;
    color: var(--black);
    background: #fff;
}

.swiper-button-next::after,
.swiper-button-prev::after{
    font-size: 2rem;
}

.swiper-button-next:hover,
.swiper-button-prev:hover{
    background: var(--black);
    color: #fff;
}

.image-between{
    background: url(Image/Children1.jpg) no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    
}

.image-between-2{
    background: url(Image/children2.jpg) no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

.image-between-3{
    background: url(Image/children3.jpg) no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

.image-between, .image-between-text {
    font-size: 2.5rem;
    color: #eee;
    text-align: center;
}

.image-between, .image-between-text span{
    font-size: 5rem;
    color: var(--primary-color);
}

/* Book 2 */

.book2 .book2-slider .box{
    display: flex;
    align-items: center;
    gap: 1.5rem;
    padding: 2rem 1rem;
    border: var(--border);
    margin: 1rem 0;
}

.book2 .book2-slider .box:hover{
    border: var(--border-hover);
}

.book2 .book2-slider .box .image img{
    height: 15rem;
}

.book2 .book2-slider .box .content h3{
    font-size: 2rem;
    color: var(--black);
}

.book2 .book2-slider .box .content .price{
    font-size: 2.2rem;
    color: var(--black);
    padding-bottom: .5rem;
}

.book2 .book2-slider .box .content .price span{
    font-size: 1.5rem;
    color: var(--light-color);
    text-decoration: line-through;
}

.book2 .book2-slider .box .content .stars i{
    font-size: 1.5rem;
    color: var(--dark-color);
}


/* Deal */

.deal{
    background: #f3f3f3;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.5rem;
}

.deal .content{
    flex: 1 1 42rem;
}

.deal .image{
    flex: 1 1 42rem;
}

.deal .image img{
    width: 100%;
}

.deal .content h3{
    color: var(--primary-color);
    font-size: 2.5rem;
    padding-bottom: .5rem;
}

.deal .content h1{
    color: var(--black);
    font-size: 4rem;
}

.deal .content p{
    color: var(--light-color);
    font-size: 1.4rem;
    line-height: 2;
}

/* deal 1 */

.deal .content-1{
    flex: 1 1 42rem;
    text-align:end;
}

.deal .content-1 h3{
    color: var(--primary-color);
    font-size: 2.5rem;
    padding-bottom: .5rem;
}

.deal .content-1 h1{
    color: var(--black);
    font-size: 4rem;
}

.deal .content-1 p{
    color: var(--light-color);
    font-size: 1.4rem;
    line-height: 2;
}


/* Review */

.heading-reviews{
    text-align: center;
    margin-bottom: 2rem;
    position: relative;
}

.heading-reviews::before{
    content: '';
    position: absolute;
    top: 50%; left: 0;
    transform: translateY(-50%);
    width: 100%;
    height:.01rem;
    background: rgba(0,0,0,.1);
    z-index: -1;
}

.heading-reviews span{
    font-size: 3rem;
    padding: .5rem 2rem;
    color: var(--black);
    background-color: #fff;
    border: var(--border);
}

.reviews .reviews-slider .box{
    width: 30rem;
    border: var(--border);
    padding: 2rem;
    text-align: center;
}

.reviews .reviews-slider .box:hover{
    border: var(--border-hover);
}

.reviews .reviews-slider .box img{
    height: 7rem;
    width: 7rem;
    border-radius: 50%;
    object-fit: cover;
}

.reviews .reviews-slider .box h3{
    color: var(--black);
    font-size: 2.2rem;
    padding: .5rem 0;
}

.reviews .reviews-slider .box p{
    color: var(--light-color);
    font-size: 1.4rem;
    padding: 1rem 0;
    line-height: 2;
}

.reviews .reviews-slider .box .stars i{
    font-size: 1.7rem;
    color: var(--primary-color);
}

/* contact */

.heading-contact{
    text-align: center;
    margin-bottom: 2rem;
    position: relative;
}

.heading-contact::before{
    content: '';
    position: absolute;
    top: 50%; left: 0;
    transform: translateY(-50%);
    width: 100%;
    height:.01rem;
    background: rgba(0,0,0,.1);
    z-index: -1;
}

.heading-contact span{
    font-size: 3rem;
    padding: .5rem 2rem;
    color: var(--black);
    background-color: #fff;
    border: var(--border);
}

/* contact */

.contact .row{
    display: flex;
    background: var(--primary-color);
    flex-wrap: wrap;
    gap: 1rem;
}

.contact .row .map{
    flex: 1 1 45rem;
    width: 100%;
    object-fit: cover;
}

.contact .row form{
    flex: 1 1 45rem;
    padding: 5rem 2rem;
    text-align: center;
}

.contact .row form h3{
    text-transform: uppercase;
    font-size: 3.5rem;
    color: #fff;
}

.contact .row form .inputBox{
    display: flex;
    align-items: center;
    margin-top: 2rem;
    margin-bottom: 2rem;
    background: var(--dark-color);
    border: var(--border);
}

.contact .row form .inputBox span{
    color: #fff;
    font-size: 2rem;
    padding-left: 2rem;
}

.contact .row form .inputBox input{
    width: 100%;
    padding: 2rem;
    font-size: 1.7rem;
    color: #fff;
    text-transform: none;
    background: none;
}

/* Footer */

.footer .box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(25rem,1fr));
    gap: 1.5rem;
}

.footer .box-container .box h3{
    font-size: 2.2rem;
    color: var(--black);
    padding: 1rem 0;
}

.footer .box-container .box a{
    display: block;
    font-size: 1.4rem;
    color: var(--light-color);
    padding: 1rem 0;
}

.footer .box-container .box a i{
    color: var(--primary-color);
    padding-right: .5rem;
}

.footer .box-container .box a:hover i{
    padding-right: 2rem;
}

.footer .box-container .box .map-1{
    width: 100%;
}

.footer .share {
    padding: 1rem 0;
    text-align: center;
}

.footer .share a{
    height: 5rem;
    width: 5rem;
    line-height: 5rem;
    font-size: 2rem;
    color: #fff;
    background: var(--primary-color);
    margin: 0 .3rem;
    border-radius: 50%;
}

.footer .share a:hover{
    background: var(--black);
}

.footer .credit{
    border-top: var(--border);
    margin-top: 2rem;
    padding: 0 1rem;
    padding-top: 2.5rem;
    font-size: 2rem;
    color: var(--light-color);
    text-align: center;
}

.footer .credit span{
    color: var(--dark-color);
}















/* Media queries */

@media (max-width:991px){

    html 
    {
        font-size:55%;
    }

    .header .header-1{
        padding: 2rem;
    }

    section{
        padding: 3rem 2rem;
    }
}

@media (max-width:768px){

    html{
        scroll-padding-top: 0;
    }

    body{
        padding-bottom: 6rem;
    }

    .header .header-2{
        display: none;
    }

    .bottom-navbar{
        display: block;
    }

    #search-btn{
        display: inline-block;
    }

    .header .header-1{
        box-shadow: var(--box-shadow);
        position: relative;
    }

    .header .header-1 .search-form{
        position: absolute;
        top:-115%; right: 2rem;
        width: 90%;
        box-shadow: var(--box-shadow);
    }

    .header .header-1 .search-form.active{
        top:115%;
    } 

}

@media (max-width:450px){

    html 
    {
        font-size:50%;
    }

}
